import * as i0 from "@angular/core";
/**
 * WARNING: It is not expected that this file should be modified.  It is part of infrastructure code that works with
 * Redux and creation/update of Redux containers and PConnect.  Modifying this code could have undesireable results and
 * is totally at your own risk.
 */
export declare class ReferenceComponent {
    referencedComponent: any;
    private static bLogging;
    constructor();
    static createFullReferencedViewFromRef(inPConn: any): any;
    static normalizePConn(inPConn: any): any;
    static normalizePConnArray(inPConnArray: any): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<ReferenceComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ReferenceComponent, "app-reference", never, {}, {}, never, never, true, never>;
}
